using UnityEngine;
using System;
using System.Collections.Generic;

public class DiplomacyLow01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "The aldogoths have invaded our kingdom through our nothern borders that were left undefended after our shameful military campaign. They are threatening to completely destroy us unless we pay them an insurmountable amount of gold. What should we do now?";
    }

    protected override string GetSender()
    {
        return "Crostatos, the Wise";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Diplomacy;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Low;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Pay the requested gold", 
                new ResponseLetter
                (
                    "The aldogoths have accepted your payments, Thy Majestie.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, -0.1f }, { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, +0.2f} }
                )
            ),
            new Choice
            (
                "Attack the aldogoths", 
                new ResponseLetter
                (
                    "The royal troops have been moved to the site of the aldogoths invasion. May God bless our fearless knights!", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, -0.2f} }
                )
            ),
            new Choice
            (
                "Ask the church to mediate the peace treaty negotiations", 
                new ResponseLetter
                (
                    "The church and the aldogoths have refused to negotiate with each other. It's pretty unclear what will happen next.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, -0.2f}, { Attributes.Religion, -0.2f} }
                )
            )
        };
    }
}